/*
 * kerntypes.c
 *
 * Copyright (C) 2000 Tom Morano (tjm@sgi.com) and
 *                    Matt D. Robinson (yakker@alacritech.com)
 *
 * Dummy module that includes headers for all kernel types of interest. 
 * The kernel type information is used by the lcrash utility when 
 * analyzing system crash dumps or the live system. Using the type 
 * information for the running system, rather than kernel header files,
 * makes for a more flexible and robust analysis tool.
 *
 * This source code is released under version 2 of the GNU GPL.
 */
#ifndef __KERNEL__
#define __KERNEL__
#endif
#include <linux/module.h>
#include <linux/autoconf.h>
#ifdef CONFIG_DUMP
#include <linux/dump.h>
#endif
#ifdef CONFIG_SMP
#include <linux/smp.h>
#endif
#include <linux/slab.h>
#include <linux/blkdev.h>
#include <linux/cdrom.h>
#include <linux/kernel_stat.h>
#include <linux/vmalloc.h>
#include <linux/sys.h>
#include <linux/utsname.h>
#include <linux/interrupt.h>
#include <linux/ioport.h>
#ifndef CONFIG_ARCH_S390
#include <linux/serial.h>
#endif
#include <linux/locks.h>
#include <linux/delay.h>
#include <linux/random.h>
#include <linux/reboot.h>
#include <linux/pagemap.h>
#include <linux/sysctl.h>
#include <linux/hdreg.h>
#include <linux/skbuff.h>
#include <linux/genhd.h>
#include <linux/blkpg.h>
#include <linux/swap.h>
#include <linux/cache_def.h>
#include <linux/ctype.h>
#include <linux/file.h>
#include <linux/iobuf.h>
#include <linux/console.h>
#include <linux/poll.h>
#include <linux/mmzone.h>
#include <linux/mm.h>
#include <linux/capability.h>
#include <linux/highuid.h>
#include <linux/brlock.h>
#include <linux/fs.h>
#include <linux/tty.h>
#include <linux/in6.h>
#include <linux/completion.h>
#include <linux/seq_file.h>
#include <asm/checksum.h>
#include <linux/unistd.h>
#include <linux/bdf_prm.h>
#include <linux/sched_runqueue.h>
#include <asm/pgalloc.h>
#include <asm/setup.h>
#include <asm/softirq.h>
#if CONFIG_IP_MULTICAST
#include <net/arp.h>
#endif

#ifdef CONFIG_ARCH_S390

/* s390 specific types */

#include <asm/lowcore.h>
#include <asm/debug.h>

#include <asm/irq.h>

#endif /* CONFIG_ARCH_S390 */

void
kerntypes_dummy(void)
{
}
